
(defun remove-whitespaces-from-string (str)
   "Remove all whitespace from given string str"
   (replace-regexp-in-string " +" "" str))

(defun regexp-spaced (name)
   "Return a regexp that allows an arbitrary number of whitespaces inside the word boundaries of name"
   (concat "\\b"
           (mapconcat 'identity (split-string (remove-whitespaces-from-string name) "" t) " *")
           "\\b"))

(defun show-var (name)
   "List all occurence of a variable name."
   (interactive "sName of variable: ")
   (occur (regexp-spaced  name)))

(setq isearch-lax-whitespace t)
(setq search-whitespace-regexp " *")
(setq search-whitespace-regexp " ?")


(setq fortran-directive-re "^[ \t]*[#@]+.*")
